package seal

import (
	"hongze/hongze_mobile_admin/models/tables/contract_approval"
	"hongze/hongze_mobile_admin/models/tables/contract_approval_record"
	"hongze/hongze_mobile_admin/models/tables/seal"
	"rdluck_tools/paging"
)

type AddSealResp struct {
	SealId int `description:"用印id"`
}

//审批列表
type SealApprovalListResp struct {
	Paging *paging.PagingItem
	List   []*contract_approval.SealApprovalList `description:"列表数据"`
}

//审批列表
type SealDetailResp struct {
	SealDetail   *seal.Seal                                          `description:"审批单详情"`
	FlowNodeList [][]contract_approval_record.ContractApprovalRecord `description:"审批流"`
	OpButton     OpButton                                            `description:"操作权限"`
}

//合同操作按钮
type OpButton struct {
	Approval  bool `description:"是否有审批权限"`
	Invalid   bool `description:"是否有作废合同权限"`
	Edit      bool `description:"是否有编辑合同权限"`
	CheckEdit bool `description:"审核状态下是否有编辑合同权限"`
}
